Hello,
I rebooted my PC and noticed nodm did not start. Running
/etc/init.d/nodm restart by hand corrects the problem.
reportbug reminds me I have a modified nodm initscript:
--- /etc/init.d/nodm 2011-12-03 16:27:26.000000000 +0100
+++ /etc/init.d/nodm.dpkg-dist 2011-11-20 12:50:47.000000000 +0100
@@ -37,7 +37,7 @@
# set allowed_users=anybody in /etc/X11/Xwrapper.config
# Gracefully exit if the package or its dependencies have been removed (but not purged).
-[ -x /usr/sbin/nodm -a -x "$NODM_XSESSION" -a -x "$NODM_XINIT" ] || exit 0
+[ -x /usr/sbin/nodm ] || exit 0
# Load the VERBOSE setting and other rcS variables
@@ -49,7 +49,6 @@
case "$1" in
start)
- plymouth --wait --quit || true
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
if [ "$NODM_ENABLED" = "no" ] || [ "$NODM_ENABLED" = "false" ]
then
However, first change should be harmless and would break restart as well and I don't have plymouth.
# ls {/usr,}/{s,}bin/plymouth
ls: cannot access /usr/sbin/plymouth: No such file or directory
ls: cannot access /usr/bin/plymouth: No such file or directory
ls: cannot access /sbin/plymouth: No such file or directory
ls: cannot access /bin/plymouth: No such file or directory
I am not sure what could cause this issue. Any idea what to look at?
I am running systemd.
Thanks
Michal